<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:if condition="{breadcrumb -> f:count()} > 1">
    <f:spaceless>
        <nav class="breadcrumb" aria-label="{f:translate(key: 'LLL:EXT:drkservice_blog/Resources/Private/Language/locallang.xlf:breadcrumb.aria-label')}">
            <ol class="breadcrumb__list" itemscope itemtype="https://schema.org/BreadcrumbList">
                <f:for each="{breadcrumb}" as="item" iteration="i">

                    <f:if condition="{item.current} == 1">
                        <f:then>

                            <f:comment><!-- Breadcrumb item: current or last item --></f:comment>
                            <li class="breadcrumb__item" aria-current="page" itemprop="itemListElement" itemscope itemtype="https://schema.org/ListItem">
                                <span class="breadcrumb__entry">
                                    <span class="breadcrumb__page" itemprop="name">

                                        <f:comment><!-- Crop News title --></f:comment>
                                        <f:if condition="{item.isNews}">
                                            <f:then>
                                                <f:format.crop maxCharacters="40">{item.title}</f:format.crop>
                                            </f:then>
                                            <f:else>{item.title}</f:else>
                                        </f:if>
                                    </span>
                                    <meta itemprop="position" content="{i.cycle}" />
                                </span>
                            </li>

                        </f:then>
                        <f:else>

                            <f:comment><!-- NEWS Breadcrumb: Hide Detailpage --></f:comment>
                            <f:variable name="bcCount" value="{breadcrumb -> f:count()}"/>
                            <f:variable name="bcLastIndex" value="{bcCount -1}"/>
                            <f:variable name="bcSecondLastIndex" value="{bcCount -2}"/>
                            <f:variable name="bcLastItem" value="{breadcrumb.{bcLastIndex}}"/>
                            <f:variable name="bcLastItemIsNews" value="{bcLastItem.isNews}"/>

                            <f:if condition="{bcLastItem.isNews} && {bcSecondLastIndex} == {i.index}">
                                <f:then>
                                    <f:comment><!-- NEWS Breadcrumb: Hide Detailpage now --></f:comment>
                                </f:then>
                                <f:else>

                                    <f:comment><!-- Breadcrumb item --></f:comment>
                                    <li class="breadcrumb__item" itemprop="itemListElement" itemscope itemtype="https://schema.org/ListItem">
                                        <f:link.typolink class="breadcrumb__entry" parameter="{item.data.uid}" absolute="true" additionalAttributes="{itemprop: 'item'}"><span class="breadcrumb__page" itemprop="name">{item.title}</span><meta itemprop="position" content="{i.cycle}" /></f:link.typolink>
                                        <f:if condition="{i.isLast} != 'TRUE'">
                                            <svg class="breadcrumb__arrow" width="10" height="7" aria-hidden="true">
                                                <use href="{drk:uri.hashedResource(path: 'EXT:drk_template/Resources/Public/Icons/Sprites/general-sprite.svg')}#chevron"></use>
                                            </svg>
                                        </f:if>
                                    </li>
                                </f:else>
                            </f:if>

                        </f:else>
                    </f:if>

                </f:for>
            </ol>
        </nav>
    </f:spaceless>
</f:if>

</html>
